#include <bits/stdc++.h>
using namespace std;

int main ()
{
    int n;
    cin >> n;
    string a;
    for(int i=0; i<n; i++)
    {
        int v[256]={0, 0};
        string s;
        cin >> s;
        int Max=0;
        for(int j=0; j<s.size(); j++)
        {
            int x = int(s[j]);
            v[x]+=1;
            Max=max(Max, x);
        }
        for(int k=0; k<=Max; k++)
        {
            if(v[k]%2!=0)
            {
                a.push_back('0');
                break;
            }
            if(v[k]%2==0 && v[k]!=0)
            {
                a.push_back('1');
                break;
            }
        }
    }
    cout << a;
    return 0;
}
